Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.operation
Class LineRequest

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.operation.RequestGeometry
          org.deegree.ogcwebservices.wpvs.operation.LineRequest

    public class LineRequest

extends RequestGeometry

This class represents the geometry needed for a request with a ray of view.

Version:
  $Revision: $, 1.0. $Revision: $, $Date: $
Author:
  Lyn Buesching, last edited by: $Author: $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wpvs.operation.RequestGeometry
`pickshape, request, wfsReqGeom`

Constructor Summary
`LineRequest(Get3DFeatureInfo request)` Initializes the two Geometrys for the request with a ray.

Method Summary
`javax.vecmath.Point3d` | `getEndPointLine()`
`void` | `setPickshape()` Sets the geometry needed for final test of intersection
`void` | `setWfsReqGeom()` sets the geometry needed for WFS request

Methods inherited from class org.deegree.ogcwebservices.wpvs.operation.RequestGeometry
`calcEndPoint, getBeginPointLine, getCrs, getPickshape, getRequest, getWfsReqGeom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineRequest

    public LineRequest(Get3DFeatureInfo request)

  Initializes the two Geometrys for the request with a ray.

  Parameters:
    `request` - the Get3DFeatureInfo-request

Method Detail

### setPickshape

    public void setPickshape()

  Description copied from class: `RequestGeometry`
  Sets the geometry needed for final test of intersection

  Specified by:
    `setPickshape` in class `RequestGeometry`

### setWfsReqGeom

    public void setWfsReqGeom()
                       throws GeometryException

  Description copied from class: `RequestGeometry`
  sets the geometry needed for WFS request

  Specified by:
    `setWfsReqGeom` in class `RequestGeometry`
  Throws:
    `GeometryException` - if something went wrong.

### getEndPointLine

    public javax.vecmath.Point3d getEndPointLine()

  Returns:
    the end point of the line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org